debug: false

server:
  address: ":5871"
  dumpRouterMap: false               # 是否在Server启动时打印所有的路由列表。默认为true
  graceful: false

logger:
  path: "runtime/log/server"  # 日志文件路径。默认为空，表示关闭，仅输出到终端
  file: "{Y-m-d}.log"         # 日志文件格式。默认为"{Y-m-d}.log"
  level: "all"
  stdout: true

database:
  logger:
    path: "runtime/log/sql"
    level: "all"
    stdout: "true"
  default:
    type: "mysql"
    host: "rm-rj9fm7607r89467f5.mysql.rds.aliyuncs.com"
    port: "3306"
    user: "unknown_game"
    pass: "pAxvJfz38BDYjRa7"
    name: "unknown_game"
    extra: "loc=Local&parseTime=true"
    role: "master"
    debug: false
    prefix: "unknown_game_"
    charset: "utf8"

redis:
  default:
    address: "r-rj98fmjmhbfse6e7dh.redis.rds.aliyuncs.com:6379"
    db: 3
    pass: "P9bfFhHCg6i76GE2"
  cache:
    address: "r-rj98fmjmhbfse6e7dh.redis.rds.aliyuncs.com:6379"
    db: 4
    pass: "P9bfFhHCg6i76GE2"

grpc:
  logPath: "./log" # 日志存储目录路径
  logStdout: true    # 日志是否输出到终端
  errorLogEnabled: true    # 是否开启错误日志记录
  accessLogEnabled: true    # 是否开启访问日志记录
  errorStack: true    # 当产生错误时，是否记录错误堆栈

gmp:
  name: "feiche201" # 游戏服务端service
  addr: ":25871"
  consul_endpoints:   "127.0.0.1:8500" # consul地址
  consul_token: "7bf8106b-636f-6b4e-1847-84556e0267d2" # consultoken
  gmpserver: "gmps" # gmp服务端service

  pay: # 支付配置
    project: "feiche"
    proejct_ver: "2.0.1"

sdk:
  awsAccessKey: ""
  awsSecretKey: ""
  #  awsAddress: "192.168.50.171:9001"
  bucketName: "yoya-game-server"
  #  bucketName: "game-saves-test"
  faceBookSecret: ""

game:
  #  firewallUid: 0
  excel_main_path: "/home/yada/goapp/unknown_game_server/release2.0.1/config/xlsx_files"
  excel_git_branch: "2.0.1"
  innerpwd: "test_yDhs123!%9)N"
pay:
  google:
    key: ""
  apple:
    pwd: ""

serverList:
  - name: "dev"
    address: "http://192.168.50.171:5860"
